# Define where the .deb packages are stored
Dir::Archive "repo/";

# BinDirectory configurations for prod-deb distribution
BinDirectory "repo/prod-deb" {
    Packages "dists/stable/main/binary-amd64/Packages";
}

# BinDirectory configurations for Third-Party-deb-prod distribution
BinDirectory "repo/Third-Party-deb-PROD" {
    Packages "dists/stable/main/binary-amd64/Packages";
}


# Define the Release file generation for prod-deb
APT::FTPArchive::Release "repo/prod-deb/dists/stable" {
    Origin "proddebrepo";
    Label "ProdDebRepo";
    Suite "stable";
    Codename "stable";
    Architectures "amd64";
    Components "main";
    Description "Stable distribution of packages - prod-deb";
}

# Define the Release file generation for prod-deb

# Define the Release file generation for Third-Party-deb
APT::FTPArchive::Release "repo/Third-Party-deb-PROD/dists/stable" {
    Origin "proddebrepo";
    Label "ProdDebRepo";
    Suite "stable";
    Codename "stable";
    Architectures "amd64";
    Components "main";
    Description "Stable distribution of packages - Third-Party-deb-PROD";
}
